pandoc-1.11.1: Conversion between markup formats

Portability | portable
Stability | alpha
Maintainer | John MacFarlane <jgm@berkeley.edu>
Safe Haskell | None

Text.Pandoc.Readers.Markdown

Description

Conversion of markdown-formatted plain text to `Pandoc` document.

Synopsis

- readMarkdown :: ReaderOptions -> String -> Pandoc
- readMarkdownWithWarnings :: ReaderOptions -> String -> (Pandoc, [String])

# Documentation

readMarkdown

Arguments

:: ReaderOptions | Reader options
-> String | String to parse (assuming `'\n'` line endings)
-> Pandoc |

Read markdown from an input string and return a Pandoc document.

readMarkdownWithWarnings

Arguments

:: ReaderOptions | Reader options
-> String | String to parse (assuming `'\n'` line endings)
-> (Pandoc, [String]) |

Read markdown from an input string and return a pair of a Pandoc document and a list of warnings.